Project

General

Profile

« Previous | Next » 

Revision c80e92d1

Added by Pierre-Loïc Garoche almost 6 years ago

Solving a warning with ocaml 4.04 and uppercase_ascii. Provides backward compatibility for 4.02

View differences:

configure.ac
22 22

  
23 23
AC_PATH_PROG([OCAMLBUILD],[ocamlbuild],[:])
24 24

  
25
# Handle a mismatch in available function btw 4.02 and 4.04
26
if (test $"$major" -eq 4 -a "$minor" -gt 2); then
27
   AC_SUBST(UPPERCASEFUN, "String.uppercase_ascii")
28
else
29
   AC_SUBST(UPPERCASEFUN, "String.uppercase")
30
fi
25 31

  
26 32
# default prefix is /usr/local
27 33
AC_PREFIX_DEFAULT(/usr/local)
......
138 144
		 src/version.ml
139 145
		 src/pluginList.ml
140 146
		 src/_tags
147
		 src/ocaml_utils.ml
141 148
		 ])
142 149

  
143 150
AC_OUTPUT

Also available in: Unified diff